package com.unipi.talepis.softeng2023_7;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.firebase.auth.AuthResult;
import com.google.firebase.auth.FirebaseAuth;

public class MainActivity extends AppCompatActivity {
    EditText email,password;
    FirebaseAuth auth;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        email = findViewById(R.id.editTextText);
        password = findViewById(R.id.editTextTextPassword);
        auth = FirebaseAuth.getInstance();
    }
    private void showMessage(String title, String message){
        new AlertDialog.Builder(this)
                .setTitle(title)
                .setMessage(message)
                .show();
    }
    public void signup(View view){
        auth.createUserWithEmailAndPassword(email.getText().toString(),
                password.getText().toString())
                .addOnCompleteListener(task -> {
                    if(task.isSuccessful()){
                        showMessage("Success!","User created!");
                    }else {
                        showMessage("Error",task.getException().getLocalizedMessage());
                    }
                });
    }
    public void signin(View view){
        showMessage("UserID",auth.getUid());
    }
}